RCFProto

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Member Functions | List of all members
RCF::RcfProtoController Class Reference

RPC controller interface, for both server-side and client-side code. More...

`#include <RCFProto.hpp>`

Inherits RpcController.

## Public Member Functions
virtual void | Reset ()
virtual bool | Failed () const
virtual std::string | ErrorText () const
| Client-side: If Failed() is true, returns a human-readable description of the error.
virtual void | StartCancel ()
virtual void | SetFailed (const std::string &reason)
virtual bool | IsCanceled () const
virtual void | NotifyOnCancel (Closure *callback)

## Detailed Description

RPC controller interface, for both server-side and client-side code.

## Member Function Documentation

virtual bool RCF::RcfProtoController::Failed | ( |  | ) | const
| virtual

Client-side: After a call has finished, returns true if the call failed. Failed() must not be called before a call has finished. If Failed() returns true, the contents of the response message are undefined.

virtual bool RCF::RcfProtoController::IsCanceled | ( |  | ) | const
| virtual

Server-side: If true, indicates that the client canceled the RPC, so the server may as well give up on replying to it. The server should still call the final "done" callback.

virtual void RCF::RcfProtoController::NotifyOnCancel | ( | Closure * | callback | ) |
| virtual

Asks that the given callback be called when the RPC is canceled. The callback will always be called exactly once. If the RPC completes without being canceled, the callback will be called after completion. If the RPC has already been canceled when NotifyOnCancel() is called, the callback will be called immediately.

NotifyOnCancel() must be called no more than once per request.

virtual void RCF::RcfProtoController::Reset | ( |  | ) |
| virtual

Resets the RcfProtoController to its initial state so that it may be reused in a new call. Must not be called while an RPC is in progress.

virtual void RCF::RcfProtoController::SetFailed | ( | const std::string & | reason | ) |
| virtual

Server-side: Causes Failed() to return true on the client-side. "reason" will be incorporated into the message returned by ErrorText(). If you find you need to return machine-readable information about failures, you should incorporate it into your response protocol buffer and should NOT call SetFailed().

virtual void RCF::RcfProtoController::StartCancel | ( |  | ) |
| virtual

Client-side: Cancels an RPC that is in progress. Once canceled, the "done" callback will still be called and the RcfProtoController will indicate that the call failed at that time.

The documentation for this class was generated from the following file:

- RCFProto.hpp